Merge rasters failure
Status: Closed

Priority: High

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: upstream

Crashes QGIS or corrupts data:No Copied to github as #: 15128

Description

QGIS 1.8 (Lisboa), Ubuntu 11.10, 64-bit.

Raster -> Miscellaneous -> Merge fails with message 'The process crashed some time after starting successfully'. Running the command

line produced by the merge tool in a terminal results in a segfault.

The same problem was present in the most recent version of 'Master' under Ubuntu and also occurs with QGIS 1.7.4 under 32-bit Vista.

History

#1 - 2012-05-03 04:48 AM - Giovanni Manghi

- Category set to C++ plugins/Globe

- Status changed from Open to Feedback

- Assignee set to Giuseppe Sucameli

It it fails from the command line, then is no QGIS fault, is GDAL fault.

#2 - 2012-05-03 05:00 AM - Paolo Cavallini

- Category changed from C++ plugins/Globe to GDAL Tools

#3 - 2012-05-03 07:08 AM - Giuseppe Sucameli

AS Giovanni wrote, if it fails from shell it's a GDAL problem, not a QGis one.

What GDAL version have you on board?

#4 - 2012-05-03 08:10 AM - Nick Hopton

It's the version of GDAL that came with Lisboa, GDAL 1.8.0 I think this is. If I try 'gdal_merge.py --version' I get a segfault, 'gdal_translate --version' returns

Version 1.8.0.

#5 - 2012-05-03 08:20 AM - Nick Hopton

To add, this problem isn't new, from time-to-time it comes and then goes away again. If I remember rightly, gdal_sieve is similarly affected.

#6 - 2012-05-05 02:39 AM - Nick Hopton
I was in two minds about whether or not to flag this issue as a Blocker. On balance I think I should have done this, if you agree would you change its

priority?

#7 - 2012-05-05 02:42 AM - Giovanni Manghi

Nick Hopton - wrote:

I was in two minds about whether or not to flag this issue as a Blocker. On balance I think I should have done this, if you agree would you change its

priority?

Blockers are only regressions, issues that affect the code to be used for 1.8 but not 1.7.4

#8 - 2012-05-05 03:37 AM - Nick Hopton

See above, the issue was raised for QGIS 1.8 (Lisboa). If it's not just me and the problem is reproducible elsewhere then I think it's a blocker.

#9 - 2012-05-05 04:56 AM - Nathan Woodrow

No a blocker is only if it breaks a feature that used to work in a older version and that causes the main app to loose a major function.  As this never worked

in 1.7.4 it is not a blocker in that sense.

As this is also a GDAL issue, not really a QGIS one, I'm not sure what can be done.

#10 - 2012-05-05 05:30 AM - Giuseppe Sucameli

- Status changed from Feedback to Closed

- Resolution set to invalid

This is not a GdalTools plugin issue, neither a QGis one. 

I'm closing the ticket as invalid because I cannot do anything to fix it on the QGis side.

BTW, I think the pattern is the executable files' type. 

Is the segfaults occur with all the *.py tools, isn't it?

#11 - 2012-05-05 05:52 AM - Nick Hopton

Is this problem reproducible or is it just me?

#12 - 2012-05-05 06:49 AM - Giuseppe Sucameli

Nick Hopton - wrote:

Is this problem reproducible or is it just me?

It works fine on my Ubuntu 11.04, not confirmed.
#13 - 2012-05-05 11:57 AM - Jürgen Fischer

- Resolution changed from invalid to upstream

#14 - 2012-05-05 02:10 PM - Giovanni Manghi

tested master on both ubuntu 12.04 and Windows and it works fine.
